<?php

// Admin web routes  for tender
Route::group(['prefix' => trans_setlocale().'/admin/tender'], function () {
    Route::resource('tender', 'Litecms\Tender\Http\Controllers\TenderAdminController');
});

// Admin API routes  for tender
Route::group(['prefix' => trans_setlocale().'api/v1/admin/tender'], function () {
    Route::resource('tender', 'Litecms\Tender\Http\Controllers\TenderAdminApiController');
});

// User web routes for tender
Route::group(['prefix' => trans_setlocale().'/user/tenders'], function () {
    Route::resource('/', 'Litecms\Tender\Http\Controllers\TenderUserController');
});

// User API routes for tender
Route::group(['prefix' => trans_setlocale().'api/v1/user/tenders'], function () {
    Route::resource('/', 'Litecms\Tender\Http\Controllers\TenderUserApiController');
});

// Public web routes for tender
Route::group(['prefix' => trans_setlocale().'/tenders'], function () {
    Route::get('/', 'Litecms\Tender\Http\Controllers\TenderController@index');
    Route::get('/{slug?}', 'Litecms\Tender\Http\Controllers\TenderController@show');
});

// Public API routes for tender
Route::group(['prefix' => trans_setlocale().'api/v1/tenders'], function () {
    Route::get('/', 'Litecms\Tender\Http\Controllers\TenderApiController@index');
    Route::get('/{slug?}', 'Litecms\Tender\Http\Controllers\TenderApiController@show');
});

